Package org.opencv.cv3d

## Class UsacParams

- java.lang.Object
- - org.opencv.cv3d.UsacParams

-     public class UsacParams
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `UsacParams()` |
    `protected` | `UsacParams​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UsacParams` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `double` | `get_confidence()` |
    `int` | `get_final_polisher()` |
    `int` | `get_final_polisher_iterations()` |
    `boolean` | `get_isParallel()` |
    `int` | `get_loIterations()` |
    `int` | `get_loMethod()` |
    `int` | `get_loSampleSize()` |
    `int` | `get_maxIterations()` |
    `int` | `get_neighborsSearch()` |
    `int` | `get_randomGeneratorState()` |
    `int` | `get_sampler()` |
    `int` | `get_score()` |
    `double` | `get_threshold()` |
    `long` | `getNativeObjAddr()` |
    `void` | `set_confidence​(double confidence)` |
    `void` | `set_final_polisher​(int final_polisher)` |
    `void` | `set_final_polisher_iterations​(int final_polisher_iterations)` |
    `void` | `set_isParallel​(boolean isParallel)` |
    `void` | `set_loIterations​(int loIterations)` |
    `void` | `set_loMethod​(int loMethod)` |
    `void` | `set_loSampleSize​(int loSampleSize)` |
    `void` | `set_maxIterations​(int maxIterations)` |
    `void` | `set_neighborsSearch​(int neighborsSearch)` |
    `void` | `set_randomGeneratorState​(int randomGeneratorState)` |
    `void` | `set_sampler​(int sampler)` |
    `void` | `set_score​(int score)` |
    `void` | `set_threshold​(double threshold)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### UsacParams

          protected UsacParams​(long addr)

    - #### UsacParams

          public UsacParams()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static UsacParams __fromPtr__​(long addr)

    - #### get_confidence

          public double get_confidence()

    - #### set_confidence

          public void set_confidence​(double confidence)

    - #### get_isParallel

          public boolean get_isParallel()

    - #### set_isParallel

          public void set_isParallel​(boolean isParallel)

    - #### get_loIterations

          public int get_loIterations()

    - #### set_loIterations

          public void set_loIterations​(int loIterations)

    - #### get_loMethod

          public int get_loMethod()

    - #### set_loMethod

          public void set_loMethod​(int loMethod)

    - #### get_loSampleSize

          public int get_loSampleSize()

    - #### set_loSampleSize

          public void set_loSampleSize​(int loSampleSize)

    - #### get_maxIterations

          public int get_maxIterations()

    - #### set_maxIterations

          public void set_maxIterations​(int maxIterations)

    - #### get_neighborsSearch

          public int get_neighborsSearch()

    - #### set_neighborsSearch

          public void set_neighborsSearch​(int neighborsSearch)

    - #### get_randomGeneratorState

          public int get_randomGeneratorState()

    - #### set_randomGeneratorState

          public void set_randomGeneratorState​(int randomGeneratorState)

    - #### get_sampler

          public int get_sampler()

    - #### set_sampler

          public void set_sampler​(int sampler)

    - #### get_score

          public int get_score()

    - #### set_score

          public void set_score​(int score)

    - #### get_threshold

          public double get_threshold()

    - #### set_threshold

          public void set_threshold​(double threshold)

    - #### get_final_polisher

          public int get_final_polisher()

    - #### set_final_polisher

          public void set_final_polisher​(int final_polisher)

    - #### get_final_polisher_iterations

          public int get_final_polisher_iterations()

    - #### set_final_polisher_iterations

          public void set_final_polisher_iterations​(int final_polisher_iterations)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`